# Enum Class Specification

Object
Enum<Specification>
Specification

All Implemented Interfaces:
  `Serializable, Comparable<Specification>, Constable`

public enum Specification extends Enum<Specification>
The specifications from which an interface, method or code list was derived. Some specifications are available both at OGC and ISO.

Since:
  2.0

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum​.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ISO_19103`
  ISO 19103:2005, Geographic information - Conceptual schema language.
  `ISO_19107`
  ISO 19107:2003, Feature Geometry (OGC Topic 1).
  `ISO_19108`
  ISO 19108:2002, Temporal Schema.
  `ISO_19111`
  ISO 19111:2007, Spatial Referencing by Coordinates (OGC Topic 2).
  `ISO_19115`
  ISO 19115:2003, Metadata (OGC Topic 11).
  `ISO_19115_2`
  ISO 19115-2:2009, Metadata part 2: extensions for imagery and gridded data.
  `ISO_19117`
  ISO 19117:2005, Portrayal.
  `ISO_19123`
  ISO 19123:2005, Schema for coverage geometry and functions (OGC Topic 6).
  `ISO_19128`
  ISO 19128:2005, Web map server interface.
  `ISO_19139`
  ISO 19139:2007, Metadata.
  `OGC_01004`
  Grid Coverages implementation specification.
  `OGC_01009`
  Coordinate Transformation Services implementation specification.
  `OGC_03064`
  GO-1 Application Objects.
  `UNSPECIFIED`
  Specification not yet determined.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Specification`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Specification[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ISO_19103

    public static final Specification ISO_19103
    ISO 19103:2005, Geographic information - Conceptual schema language. This is the specification for some interfaces in package `org​.opengis​.util`.

    ISO abstract:

    > Provides rules and guidelines for the use of a conceptual schema language within the ISO geographic information standards. The chosen conceptual schema language is the Unified Modeling Language (UML).

    > ISO TS 19103:2005 provides a profile of UML for use with geographic information. In addition, it provides guidelines on how UML should be used to create standardized geographic information and service models.

    See Also:
      - Buy from ISO

  - ### ISO_19107

    public static final Specification ISO_19107
    ISO 19107:2003, Feature Geometry (OGC Topic 1). This is the specification for package `org​.opengis​.geometry` and sub-packages.

    ISO abstract:

    > Specifies conceptual schemas for describing the spatial characteristics of geographic features, and a set of spatial operations consistent with these schemas. It treats vector geometry and topology up to three dimensions. It defines standard spatial operations for use in access, query, management, processing, and data exchange of geographic information for spatial (geometric and topological) objects of up to three topological dimensions embedded in coordinate spaces of up to three axes.

    See Also:
      - Buy from ISO

  - ### ISO_19108

    public static final Specification ISO_19108
    ISO 19108:2002, Temporal Schema. This is the specification for package `org​.opengis​.temporal` and sub-packages.

    ISO abstract:

    > Defines concepts for describing temporal characteristics of geographic information. It depends upon existing information technology standards for the interchange of temporal information. It provides a basis for defining temporal feature attributes, feature operations, and feature associations, and for defining the temporal aspects of metadata about geographic information. Since this International Standard is concerned with the temporal characteristics of geographic information as they are abstracted from the real world, it emphasizes valid time rather than transaction time.

    See Also:
      - Buy from ISO
      - Corrigendum

  - ### ISO_19111

    public static final Specification ISO_19111
    ISO 19111:2007, Spatial Referencing by Coordinates (OGC Topic 2). This is the specification for package `org​.opengis​.referencing` and sub-packages.

    ISO abstract:

    > Defines the conceptual schema for the description of spatial referencing by coordinates, optionally extended to spatio-temporal referencing. It describes the minimum data required to define one-, two- and three-dimensional spatial coordinate reference systems with an extension to merged spatial-temporal reference systems. It allows additional descriptive information to be provided. It also describes the information required to change coordinates from one coordinate reference system to another.

    > In ISO 19111:2007, a coordinate reference system does not change with time. For coordinate reference systems defined on moving platforms such as cars, ships, aircraft and spacecraft, the transformation to an Earth-fixed coordinate reference system can include a time element.

    > ISO 19111:2007 is applicable to producers and users of geographic information. Although it is applicable to digital geographic data, its principles can be extended to many other forms of geographic data such as maps, charts and text documents.

    > The schema described can be applied to the combination of horizontal position with a third non-spatial parameter which varies monotonically with height or depth. This extension to non-spatial data is beyond the scope of ISO 19111:2007 but can be implemented through profiles.

    See Also:
      - `OGC_01009`
      - Download from OGC
      - Buy from ISO

  - ### ISO_19115

    public static final Specification ISO_19115
    ISO 19115:2003, Metadata (OGC Topic 11). This is the specification for package `org​.opengis​.metadata` and sub-packages.

    ISO abstract:

    > Defines the schema required for describing geographic information and services. It provides information about the identification, the extent, the quality, the spatial and temporal schema, spatial reference, and distribution of digital geographic data.

    > ISO 19115:2003 is applicable to:

    > - the cataloguing of datasets, clearinghouse activities, and the full description of datasets;
    > - geographic datasets, dataset series, and individual geographic features and feature properties.

    > ISO 19115:2003 defines:

    > - mandatory and conditional metadata sections, metadata entities, and metadata elements;
    > - the minimum set of metadata required to serve the full range of metadata applications (data discovery, determining data fitness for use, data access, data transfer, and use of digital data);
    > - optional metadata elements - to allow for a more extensive standard description of geographic data, if required;
    > - a method for extending metadata to fit specialized needs.

    > Though ISO 19115:2003 is applicable to digital data, its principles can be extended to many other forms of geographic data such as maps, charts, and textual documents as well as non-geographic data.

    > NOTE: Certain mandatory metadata elements may not apply to these other forms of data.

    See Also:
      - Buy from ISO
      - Corrigendum

  - ### ISO_19115_2

    public static final Specification ISO_19115_2
    ISO 19115-2:2009, Metadata part 2: extensions for imagery and gridded data. This is the specification for package `org​.opengis​.metadata` and sub-packages.

    ISO abstract:

    > Extends the existing geographic metadata standard by defining the schema required for describing imagery and gridded data. It provides information about the properties of the measuring equipment used to acquire the data, the geometry of the measuring process employed by the equipment, and the production process used to digitize the raw data. This extension deals with metadata needed to describe the derivation of geographic information from raw data, including the properties of the measuring system, and the numerical methods and computational procedures used in the derivation. The metadata required to address coverage data in general is addressed sufficiently in the general part of ISO 19115.

    Since:
      2.3
    See Also:
      - Buy from ISO

  - ### ISO_19117

    public static final Specification ISO_19117
    ISO 19117:2005, Portrayal. This is an abstract specification for portraying features.

    ISO abstract:

    > Defines a schema describing the portrayal of geographic information in a form understandable by humans. It includes the methodology for describing symbols and mapping of the schema to an application schema. It does not include standardization of cartographic symbols, and their geometric and functional description.

    See Also:
      - Buy from ISO

  - ### ISO_19123

    public static final Specification ISO_19123
    ISO 19123:2005, Schema for coverage geometry and functions (OGC Topic 6). This is the specification for package
    invalid reference

        org​.opengis​.coverage

    and sub-packages.

    ISO abstract:

    > Defines a conceptual schema for the spatial characteristics of coverages. Coverages support mapping from a spatial, temporal or spatiotemporal domain to feature attribute values where feature attribute types are common to all geographic positions within the domain. A coverage domain consists of a collection of direct positions in a coordinate space that may be defined in terms of up to three spatial dimensions as well as a temporal dimension. Examples of coverages include rasters, triangulated irregular networks, point coverages and polygon coverages. Coverages are the prevailing data structures in a number of application areas, such as remote sensing, meteorology and mapping of bathymetry, elevation, soil and vegetation.

    > ISO 19123:2005 defines the relationship between the domain of a coverage and an associated attribute range. The characteristics of the spatial domain are defined whereas the characteristics of the attribute range are not part of ISO 19123:2005.

    See Also:
      - `OGC_01004`
      - Download from OGC
      - Buy from ISO

  - ### ISO_19128

    public static final Specification ISO_19128
    ISO 19128:2005, Web map server interface. This is the specification for package
    invalid reference

        org​.opengis​.layer

    and sub-packages.

    ISO abstract:

    > Specifies the behaviour of a service that produces spatially referenced maps dynamically from geographic information. It specifies operations to retrieve a description of the maps offered by a server, to retrieve a map, and to query a server about features displayed on a map. ISO 19128:2005 is applicable to pictorial renderings of maps in a graphical format; it is not applicable to retrieval of actual feature data or coverage data values.

    See Also:
      - Download from OGC
      - Buy from ISO

  - ### ISO_19139

    public static final Specification ISO_19139
    ISO 19139:2007, Metadata. XML schema implementation. This is the specification for package `org​.opengis​.metadata` and sub-packages.

    ISO abstract:

    > Defines Geographic MetaData XML (`gmd`) encoding, an XML Schema implementation derived from ISO 19115.

    Since:
      2.3
    See Also:
      - Buy from ISO

  - ### OGC_03064

    public static final Specification OGC_03064
    GO-1 Application Objects. This is the specification for package
    invalid reference

        org​.opengis​.go

    and sub-packages.
    See Also:
      - Download from OGC

  - ### OGC_01009

    public static final Specification OGC_01009
    Coordinate Transformation Services implementation specification. This is the specification used as a complement of ISO 19111 when an aspect was not defined in the ISO specification.
    See Also:
      - `ISO_19111`
      - Download from OGC

  - ### OGC_01004

    public static final Specification OGC_01004
    Grid Coverages implementation specification. This is the specification used as a complement of ISO 19123 when an aspect was not defined in the ISO specification.
    See Also:
      - `ISO_19123`
      - Download from OGC

  - ### UNSPECIFIED

    public static final Specification UNSPECIFIED
    Specification not yet determined. This is a temporary enumeration for the processing of API submitted by some contributors.

- ## Method Details

  - ### values

    public static Specification[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Specification valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null